package swingpaint;

import java.awt.*;
import java.awt.event.*;
import javax.swing.*;

public class SwingPaintDemo
{

  public static void main(String[] args)
  {
    TestFrame f = new TestFrame("SwingPaintDemo"); //Fenster mit Rahmen

    f.addWindowListener ( // oha, dazu spter
      new WindowAdapter()
      {
        public void windowClosing(WindowEvent we)
        {
          System.exit(0);
        }
      }
    );

    f.setSize(400, 400);
    f.setLocation(200, 200);
    f.setVisible(true);

    double a = 0.0;
    for (int i=0; i<100000; i++)
    {
      //f.repaint(); // um die Anzeige automatisch aufzufrischen
      f.zahlSchleife = i;
      for (int j=0; j<100000; j++)
      {
        a += Math.sin(j);
      }
    }
  }
}

class TestFrame
extends JFrame
{
  int zahlPaint=1;
  int zahlSchleife=0;

  public TestFrame(String s)
  {
    super(s); // Konstruktor der Mutterklasse; bei C++ in Initialisiererliste
  }

  // Diese Methode wird von Swing in eigenem Thread aufgerufen!
  public void paint(Graphics g)
  {
    super.paint(g); // paint der Mutterklasse
    String a = "der " + zahlPaint + "-te Paint-Aufruf; die " + zahlSchleife + "-ste Schleife";
    g.drawString(a, 30, 50);
    zahlPaint++;
  }
}